package info.textgrid.middleware;

import java.text.ParseException;
import javax.xml.bind.JAXB;
import javax.xml.bind.JAXBElement;
import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.XMLGregorianCalendar;
import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;
import info.textgrid.middleware.oaipmh.DeletedRecordType;
import info.textgrid.middleware.oaipmh.GranularityType;
import info.textgrid.middleware.oaipmh.OAIPMHType;
import info.textgrid.namespaces.middleware.tgcrud.common.TextGridMimetypes;
import info.textgrid.utils.sesameclient.SesameClient;

/**
 *
 */

public class OaiPmhTest {

  public static OAI_ESClient oaiEsClient;
  private static SesameClient sc;
  DeletedRecordType bla = DeletedRecordType.NO;
  GranularityType bla2 = GranularityType.YYYY_MM_DD_THH_MM_SS_Z;
  private RepIdentification rep = new RepIdentification("TextGrid-Repository", "www.textgridrep.de",
      this.bla, "2011-06-11T02:32:40Z", this.bla2, "2.0", "textgrid-support@gwdg.de");

  // private RecordDeliverer record = new RecordDeliverer(
  // oaiEsClient,
  // TGConstants.TGWorkFields,
  // true, false);
  // private RecordDeliverer record = new RecordDeliverer(oaiEsClient, DARIAHConstants.DARIAHFields,
  // false, true);

  private static RecordDelivererDC record;
  private static RecordDelivererIDIOM recordIDIOM;
  // private RecordListDeliverer recordList = new RecordListDeliverer(TGConstants.TGFields,
  // TGConstants.TGWorkFields, true, false);

  private RecordListDeliverer recordList = new RecordListDeliverer(DARIAHConstants.DARIAHFields,
      DARIAHConstants.DARIAHFields, false, true);

  // TGConstants.TGWorkFields, true, false);
  private MetadataFormatListDeliverer metadataFormatList =
      new MetadataFormatListDeliverer(oaiEsClient);
  private SetDeliverer setListDARIAH = new SetDeliverer(oaiEsClient, false, true);
  private SetDeliverer setListTextGrid = new SetDeliverer(oaiEsClient, true, false);
  // private IdentifierListDeliverer identifierList = new IdentifierListDeliverer(oaiEsClient,
  // false, true);
  private IdentifierListDeliverer identifierList =
      new IdentifierListDeliverer(oaiEsClient, true, false);
  private OAIPMHImpl request = new OAIPMHImpl(this.rep, OaiPmhTest.record, OaiPmhTest.recordIDIOM, this.recordList,
      this.metadataFormatList, this.setListDARIAH, this.identifierList);

  /**
   * @throws Exception
   */
  @BeforeClass
  public static void setUp() throws Exception {

    // sc = new
    // SesameClient("http://localhost:9091/openrdf-workbench/repositories/textgrid-public");
    oaiEsClient = new OAI_ESClient("localhost", "9302", "tg-esx2-instance");
    // oaiEsClient = new OAI_ESClient("localhost", "9302", "dariah-repository-prototype");
    OAI_ESClient.setEsIndex("textgrid-public");
    OAI_ESClient.setEsType("metadata");
    // oaiEsClient.setEsIndex("dariahreptest");
    // oaiEsClient.setEsType("oai");

    // Set OSI client for record.
    record = new RecordDelivererDC(true, false);
    record.setOaiEsClient(oaiEsClient);
    record.setWorkFields(TGConstants.TGWorkFields);
    
    recordIDIOM = new RecordDelivererIDIOM(true, false);
  }

  /**
   * @throws DatatypeConfigurationException
   */
  @Test
  @Ignore
  public void testDateNow() throws DatatypeConfigurationException {
    System.out.println("---------------Now Version-----------------");
    XMLGregorianCalendar nowTest = OAIPMHUtillities
        .getXMLGregorianCalendarNow();
    System.out.println(nowTest);
    System.out.println("-------------------------------------------");
  }

  /**
   * @throws ParseException
   * @throws DatatypeConfigurationException
   */
  @Test
  @Ignore
  public void testDateGregorianType() throws ParseException,
      DatatypeConfigurationException {
    String dateformatbefore = "2012-02-06T20:48:39.614+01:00";

    System.out.println("---------XML Gregorian Version---------------");
    System.out.println("Original date: " + dateformatbefore);
    XMLGregorianCalendar testDate = OAIPMHUtillities
        .convertDateFormat(dateformatbefore);
    System.out.println("Date after conversion: " + testDate);
    System.out.println("---------------------------------------------");
  }

  /**
   * @throws ParseException
   * @throws DatatypeConfigurationException
   */
  @Test
  @Ignore
  public void testDateStringType() throws ParseException,
      DatatypeConfigurationException {
    String dateformatbefore = "2012-02-06T20:48:39.614+01:00";

    System.out.println("------------String Version-------------------");
    System.out.println("Original date: " + dateformatbefore);
    String testDate = OAIPMHUtillities.datestampAsString(dateformatbefore);
    System.out.println("Date after conversion: " + testDate);
    System.out.println("---------------------------------------------");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestIdentify() throws ParseException {

    System.out
        .println("Test for the verb \"Identify\" with succesfull response");
    JAXBElement<OAIPMHType> r = this.request.getRequest("Identify", "", "",
        "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestIdentifyVerbError() throws ParseException {
    JAXBElement<OAIPMHType> t = this.request.getRequest("Identify", "",
        "a", "", "", "", "");
    JAXB.marshal(t, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestIdentifyArgumentError() throws ParseException {
    System.out
        .println("Test for the verb \"Identify\" with error response");
    JAXBElement<OAIPMHType> z = this.request.getRequest("Identify", "a",
        "", "", "", "a", "");
    JAXB.marshal(z, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestGetRecordError() throws ParseException {

    System.out
        .println("Test for the verb \"GetRecord\" with succesfull response");
    JAXBElement<OAIPMHType> t = this.request.getRequest("GetRecord",
        "textgrid:vqn0.0", "oai_dc", "", "", "", "");
    JAXB.marshal(t, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestGetRecordError2() throws ParseException {

    record.setContributor(TGConstants.CONTRIBUTOR_LIST);
    record.setCoverage(TGConstants.COVERAGE_LIST);
    record.setCreator(TGConstants.CREATOR_LIST);
    record.setDates(TGConstants.DATE_LIST);
    record.setDescriptions(TGConstants.DESCRIPTION_LIST);
    record.setFormats(TGConstants.FORMAT_LIST);
    record.setIdentifiers(TGConstants.IDENTIFIER_LIST);
    record.setLanguages(TGConstants.LANGUAGE_LIST);
    record.setPublishers(TGConstants.PUBLISHER_LIST);
    record.setRelations(TGConstants.RELATIONS_LIST);
    record.setRelationsForWork(TGConstants.RELATIONS_FOR_WORK_LIST);
    record.setRights(TGConstants.RIGHTS_LIST);
    record.setSources(TGConstants.SOURCE_LIST);
    record.setSubjects(TGConstants.SUBJECT_LIST);
    record.setTitles(TGConstants.TITLE_LIST);
    record.setTypes(TGConstants.TYPE_LIST);
    record.setFields(TGConstants.TGFields);
    record.setFormatField(TGConstants.FORMAT);
    record.setFormatToFilter(TextGridMimetypes.EDITION);
    record.setDateOfObjectCreation(TGConstants.CREATED);
    record.setRelationToFurtherMetadataObject(TGConstants.EDITION_ISEDITIONOF);
    record.setRepositoryObjectURIPrefix(TGConstants.ITEM_IDENTIFIER_PREFIX);
    record.setIdentifierField("textgridUri");

    System.out.println("Test for the verb \"GetRecord\" with succesfull response");
    JAXBElement<OAIPMHType> p =
        this.request.getRequest("GetRecord", "vqn0.0", "oai_dc", "", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestGetRecordIDIOM() throws ParseException {

    record.setContributor(TGConstants.CONTRIBUTOR_LIST);
    record.setCoverage(TGConstants.COVERAGE_LIST);
    record.setCreator(TGConstants.CREATOR_LIST);
    record.setDates(TGConstants.DATE_LIST);
    record.setDescriptions(TGConstants.DESCRIPTION_LIST);
    record.setFormats(TGConstants.FORMAT_LIST);
    record.setIdentifiers(TGConstants.IDENTIFIER_LIST);
    record.setLanguages(TGConstants.LANGUAGE_LIST);
    record.setPublishers(TGConstants.PUBLISHER_LIST);
    record.setRelations(TGConstants.RELATIONS_LIST);
    record.setRelationsForWork(TGConstants.RELATIONS_FOR_WORK_LIST);
    record.setRights(TGConstants.RIGHTS_LIST);
    record.setSources(TGConstants.SOURCE_LIST);
    record.setSubjects(TGConstants.SUBJECT_LIST);
    record.setTitles(TGConstants.TITLE_LIST);
    record.setTypes(TGConstants.TYPE_LIST);
    record.setFields(TGConstants.TGFields);
    record.setFormatField(TGConstants.FORMAT);
    record.setFormatToFilter(TextGridMimetypes.EDITION);
    record.setDateOfObjectCreation(TGConstants.CREATED);
    record.setRelationToFurtherMetadataObject(TGConstants.EDITION_ISEDITIONOF);
    record.setRepositoryObjectURIPrefix(TGConstants.ITEM_IDENTIFIER_PREFIX);
    record.setIdentifierField("textgridUri");

    System.out.println("Test for the verb \"GetRecord\" with succesfull response");
    JAXBElement<OAIPMHType> p =
        this.request.getRequest("GetRecord", "2557q.0", TGConstants.METADATA_IDIOM_PREFIX, "", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");
  }
  
  
  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestGetRecordDariah() throws ParseException {

    record.setContributor(DARIAHConstants.CONTRIBUTOR_LIST);
    record.setCoverage(DARIAHConstants.COVERAGE_LIST);
    record.setCreator(DARIAHConstants.CREATOR_LIST);
    record.setDates(DARIAHConstants.DATE_LIST);
    record.setDescriptions(DARIAHConstants.DESCRIPTION_LIST);
    record.setFormats(DARIAHConstants.FORMAT_LIST);
    record.setIdentifiers(DARIAHConstants.IDENTIFIER_LIST);
    record.setLanguages(DARIAHConstants.LANGUAGE_LIST);
    record.setPublishers(DARIAHConstants.PUBLISHER_LIST);
    record.setRelations(DARIAHConstants.RELATIONS_LIST);
    record.setRights(DARIAHConstants.RIGHTS_LIST);
    record.setSources(DARIAHConstants.SOURCE_LIST);
    record.setSubjects(DARIAHConstants.SUBJECT_LIST);
    record.setTitles(DARIAHConstants.TITLE_LIST);
    record.setTypes(DARIAHConstants.TYPE_LIST);
    record.setFields(DARIAHConstants.DARIAHFields);
    record.setFormatField(DARIAHConstants.FORMAT);
    record.setFormatToFilter("metadata");
    record.setDateOfObjectCreation(DARIAHConstants.MODIFIED_FIELD);
    record.setRepositoryObjectURIPrefix(DARIAHConstants.ITEM_IDENTIFIER_PREFIX);
    record.setIdentifierField("administrativeMetadata.dcterms:identifier");

    System.out.println("Test for the verb \"GetRecord\" with succesfull response");
    JAXBElement<OAIPMHType> p = this.request.getRequest("GetRecord",
        "hdl:21.T11991/0000-0003-5667-9", "oai_dc", "", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testGetRequestGetRecordError3() throws ParseException {
    System.out
        .println("Test for the verb \"GetRecord\" with succesfull response");
    JAXBElement<OAIPMHType> p = this.request.getRequest("GetRecord", "",
        "", "", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");

  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListIdentifierSets() throws ParseException {
    this.identifierList.setFieldForRange(TGConstants.RANGE_FIELD);
    this.identifierList.setIdentifierListFields(TGConstants.IDENTIFIER_LIST_FIELDS);
    this.identifierList.setFormatField(TGConstants.FORMAT);
    this.identifierList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.identifierList.setDateOfObjectCreation(TGConstants.CREATED);
    this.identifierList.setRepositoryObjectURIPrefix(TGConstants.ITEM_IDENTIFIER_PREFIX);
    this.identifierList.setIdentifierField("textgridUri");

    System.out.println("Test for the verb \"ListIdentifiers\" with succesfull response");
    JAXBElement<OAIPMHType> p = this.request.getRequest("ListIdentifiers", "", "oai_dc",
        "project:TGPR-26236625-1acc-b921-a5fa-53567c3eeb80", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");

  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListRecordSets() throws ParseException {
    this.recordList.setContributor(TGConstants.CONTRIBUTOR_LIST);
    this.recordList.setCoverage(TGConstants.COVERAGE_LIST);
    this.recordList.setCreators(TGConstants.CREATOR_LIST);
    this.recordList.setDates(TGConstants.DATE_LIST);
    this.recordList.setDescriptions(TGConstants.DESCRIPTION_LIST);
    this.recordList.setFormats(TGConstants.FORMAT_LIST);
    this.recordList.setIdentifiers(TGConstants.IDENTIFIER_LIST);
    this.recordList.setLanguages(TGConstants.LANGUAGE_LIST);
    this.recordList.setPublishers(TGConstants.PUBLISHER_LIST);
    this.recordList.setRelations(TGConstants.RELATIONS_LIST);
    this.recordList.setRelationsForWork(TGConstants.RELATIONS_FOR_WORK_LIST);
    this.recordList.setRights(TGConstants.RIGHTS_LIST);
    this.recordList.setSources(TGConstants.SOURCE_LIST);
    this.recordList.setSubjects(TGConstants.SUBJECT_LIST);
    this.recordList.setTitles(TGConstants.TITLE_LIST);
    this.recordList.setTypes(TGConstants.TYPE_LIST);
    this.recordList.setFormatField(TGConstants.FORMAT);
    this.recordList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.recordList.setDateOfObjectCreation(TGConstants.CREATED);
    this.recordList.setRelationToFurtherMetadataObject(TGConstants.EDITION_ISEDITIONOF);
    this.recordList.setRepositoryObjectURIPrefix(TGConstants.ITEM_IDENTIFIER_PREFIX);
    this.recordList.setFieldForRange(TGConstants.CREATED);
    this.recordList.setModifiedField(TGConstants.MODIFIED_FIELD);

    System.out.println("Test for the verb \"ListRecord\" with sets with succesfull response");
    JAXBElement<OAIPMHType> p =
        this.request.getRequest("ListRecords", "", "oai_dc", "", "", "", "");
    JAXB.marshal(p, System.out);
    System.out.println("-----------------------------------\n");

  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListRecords() throws ParseException {

    JAXBElement<OAIPMHType> r =
        this.request.getRequest("ListRecords", "", "oai_dc", "", "2011-02-06T20:48:39", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListRecords2() throws ParseException {

    System.out.println("TG");

    this.recordList.setContributor(TGConstants.CONTRIBUTOR_LIST);
    this.recordList.setCoverage(TGConstants.COVERAGE_LIST);
    this.recordList.setCreators(TGConstants.CREATOR_LIST);
    this.recordList.setDates(TGConstants.DATE_LIST);
    this.recordList.setDescriptions(TGConstants.DESCRIPTION_LIST);
    this.recordList.setFormats(TGConstants.FORMAT_LIST);
    this.recordList.setIdentifiers(TGConstants.IDENTIFIER_LIST);
    this.recordList.setLanguages(TGConstants.LANGUAGE_LIST);
    this.recordList.setPublishers(TGConstants.PUBLISHER_LIST);
    this.recordList.setRelations(TGConstants.RELATIONS_LIST);
    this.recordList.setRelationsForWork(TGConstants.RELATIONS_FOR_WORK_LIST);
    this.recordList.setRights(TGConstants.RIGHTS_LIST);
    this.recordList.setSources(TGConstants.SOURCE_LIST);
    this.recordList.setSubjects(TGConstants.SUBJECT_LIST);
    this.recordList.setTitles(TGConstants.TITLE_LIST);
    this.recordList.setTypes(TGConstants.TYPE_LIST);
    this.recordList.setFormatField(TGConstants.FORMAT);
    this.recordList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.recordList.setDateOfObjectCreation(TGConstants.CREATED);
    this.recordList.setRelationToFurtherMetadataObject(TGConstants.EDITION_ISEDITIONOF);
    this.recordList.setRepositoryObjectURIPrefix(TGConstants.ITEM_IDENTIFIER_PREFIX);
    this.recordList.setFieldForRange(TGConstants.CREATED);
    this.recordList.setModifiedField(TGConstants.CREATED);
    this.recordList.setIdentifierField("textgridUri");
    this.recordList.setSearchResponseSize("100");

    JAXBElement<OAIPMHType> r =
        this.request.getRequest("ListRecords", "", "oai_dc", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListRecordsDariah() throws ParseException {

    // System.out.println("BUJA");

    this.recordList.setContributor(DARIAHConstants.CONTRIBUTOR_LIST);
    this.recordList.setCoverage(DARIAHConstants.COVERAGE_LIST);
    this.recordList.setCreators(DARIAHConstants.CREATOR_LIST);
    this.recordList.setDates(DARIAHConstants.DATE_LIST);
    this.recordList.setDescriptions(DARIAHConstants.DESCRIPTION_LIST);
    this.recordList.setFormats(DARIAHConstants.FORMAT_LIST);
    this.recordList.setIdentifiers(DARIAHConstants.IDENTIFIER_LIST);
    this.recordList.setLanguages(DARIAHConstants.LANGUAGE_LIST);
    this.recordList.setPublishers(DARIAHConstants.PUBLISHER_LIST);
    this.recordList.setRelations(DARIAHConstants.RELATIONS_LIST);
    this.recordList.setRights(DARIAHConstants.RIGHTS_LIST);
    this.recordList.setSources(DARIAHConstants.SOURCE_LIST);
    this.recordList.setSubjects(DARIAHConstants.SUBJECT_LIST);
    this.recordList.setTitles(DARIAHConstants.TITLE_LIST);
    this.recordList.setTypes(DARIAHConstants.TYPE_LIST);
    this.recordList.setFormatField(DARIAHConstants.FORMAT);
    this.recordList.setDateOfObjectCreation(DARIAHConstants.CREATED);
    this.recordList.setFieldForRange(DARIAHConstants.MODIFIED_FIELD);
    this.recordList.setDateOfObjectCreation(DARIAHConstants.RANGE_FIELD);
    this.recordList.setIdentifierField(DARIAHConstants.IDENTIFIER);
    this.recordList.setFormatToFilter(TextGridMimetypes.DARIAH_COLLECTION);
    this.recordList.setModifiedField(DARIAHConstants.MODIFIED_FIELD);
    this.recordList.setRelationToFurtherMetadataObject("descriptiveMetadata.dc:relation");
    this.recordList.setSearchResponseSize("100");

    JAXBElement<OAIPMHType> r = this.request.getRequest("ListRecords", "", "oai_dc",
        "21.T11991/0000-0003-718E-E", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListMetadataFormats() throws ParseException {
    JAXBElement<OAIPMHType> r = this.request.getRequest(
        "ListMetadataFormats", "7t.0", "", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListMetadataFormatsWithoutID() throws ParseException {
    JAXBElement<OAIPMHType> r = this.request.getRequest(
        "ListMetadataFormats", "", "", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListSets() throws ParseException {
    System.out.println("bla");
    this.setListTextGrid.setFormatField("format");
    this.setListTextGrid.setFormatToFilter(TextGridMimetypes.DARIAH_COLLECTION);
    this.setListTextGrid.setIdentifierField("textgridUri");
    this.setListTextGrid.setRepositoryObjectURIPrefix("textgrid:");
    JAXBElement<OAIPMHType> r = this.request.getRequest("ListSets", "", "", "", "", "", "");

    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListSetsDARIAH() throws ParseException {
    System.out.println("TEST DARIAH");

    this.setListDARIAH.setFormatField(DARIAHConstants.FORMAT);
    this.setListDARIAH.setFormatToFilter(DARIAHConstants.COLLECTION_MIMETYPE);
    this.setListDARIAH.setIdentifierField(DARIAHConstants.IDENTIFIER);
    this.setListDARIAH.setRepositoryObjectURIPrefix(DARIAHConstants.ITEM_IDENTIFIER_PREFIX);
    this.setListDARIAH.setIdentifierField("administrativeMetadata.dcterms:identifier");
    this.setListDARIAH.setSpecField("descriptiveMetadata.dc:title");
    this.setListDARIAH.setSpecFieldPrefix(DARIAHConstants.COLLECTIONREGISTRY_PREFIX);
    JAXBElement<OAIPMHType> r = this.request.getRequest("ListSets", "", "", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  /**
   * @throws ParseException
   */
  @Test
  @Ignore
  public void testListIdentifiers() throws ParseException {
    this.identifierList.setFieldForRange(TGConstants.RANGE_FIELD);
    this.identifierList.setIdentifierListFields(TGConstants.IDENTIFIER_LIST_FIELDS);
    this.identifierList.setFormatField(TGConstants.FORMAT);
    this.identifierList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.identifierList.setDateOfObjectCreation(TGConstants.CREATED);
    this.identifierList.setIdentifierField("textgridUri");
    this.identifierList.setRepositoryObjectURIPrefix("textgrid:");
    this.identifierList.setSearchResponseSize("100");
    JAXBElement<OAIPMHType> r = this.request.getRequest("ListIdentifiers", "", "oai_dc",
        "project:TGPR-f2242b43-bc28-712e-59ca-54801b1bbf52", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

  @Test
  @Ignore
  public void testListIdentifiersDARIAH() throws ParseException {
    this.identifierList.setFieldForRange(DARIAHConstants.RANGE_FIELD);
    this.identifierList.setIdentifierListFields(DARIAHConstants.IDENTIFIER_LIST_FIELDS);
    this.identifierList.setFormatField(DARIAHConstants.FORMAT);
    // this.identifierList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.identifierList.setDateOfObjectCreation("administrativeMetadata.dcterms:modified");
    this.identifierList.setRepositoryObjectURIPrefix("hdl:");
    this.identifierList.setIdentifierField("administrativeMetadata.dcterms:identifier");
    this.identifierList.setSearchResponseSize("100");
    // System.out.println("BLABLUBB");
    JAXBElement<OAIPMHType> r =
        this.request.getRequest("ListIdentifiers", "", "oai_dc", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }


  @Test
  @Ignore
  public void testEmptyRequest() throws ParseException {
    this.identifierList.setFieldForRange(TGConstants.RANGE_FIELD);
    this.identifierList.setIdentifierListFields(TGConstants.IDENTIFIER_LIST_FIELDS);
    this.identifierList.setFormatField(TGConstants.FORMAT);
    this.identifierList.setFormatToFilter(TextGridMimetypes.EDITION);
    this.identifierList.setDateOfObjectCreation(TGConstants.CREATED);
    this.identifierList.setIdentifierField("textgridUri");
    this.identifierList.setRepositoryObjectURIPrefix("textgrid:");
    this.identifierList.setSearchResponseSize("100");
    JAXBElement<OAIPMHType> r = this.request.getRequest("", "", "", "", "", "", "");
    JAXB.marshal(r, System.out);
    System.out.println("-----------------------------------\n");
  }

}
